const byte midi_note_numbers[128][5] = {
  // Octave 0
  {0xee,0xa2,0xa2,0xa2,0xee},     //   0  =  C0
  {0xee,0xa2,0xb2,0xa2,0xee},     //   1  =  C#0
  {0xe6,0xaa,0xaa,0xaa,0xe6},     //   2  =  D0
  {0xe6,0xaa,0xba,0xaa,0xe6},     //   3  =  D#0
  {0xee,0xa2,0xae,0xa2,0xee},     //   4  =  E0
  {0xee,0xa2,0xa6,0xa2,0xe2},     //   5  =  F0
  {0xee,0xa2,0xb6,0xa2,0xe2},     //   6  =  F#0
  {0xee,0xa2,0xa2,0xaa,0xee},     //   7  =  G0
  {0xee,0xa2,0xb2,0xaa,0xee},     //   8  =  G#0
  {0xee,0xaa,0xae,0xaa,0xea},     //   9  =  A0
  {0xee,0xaa,0xbe,0xaa,0xea},     //  10  =  A#0
  {0xe6,0xaa,0xa6,0xaa,0xe6},     //  11  =  B0

  // Octave 1
  {0x4e,0x42,0x42,0x42,0x4e},     //  12  =  C1
  {0x4e,0x42,0x52,0x42,0x4e},     //  13  =  C#1
  {0x46,0x4a,0x4a,0x4a,0x46},     //  14  =  D1
  {0x46,0x4a,0x5a,0x4a,0x46},     //  15  =  D#1
  {0x4e,0x42,0x4e,0x42,0x4e},     //  16  =  E1
  {0x4e,0x42,0x46,0x42,0x42},     //  17  =  F1
  {0x4e,0x42,0x56,0x42,0x42},     //  18  =  F#1
  {0x4e,0x42,0x42,0x4a,0x4e},     //  19  =  G1
  {0x4e,0x42,0x52,0x4a,0x4e},     //  20  =  G#1
  {0x4e,0x4a,0x4e,0x4a,0x4a},     //  21  =  A1
  {0x4e,0x4a,0x5e,0x4a,0x4a},     //  22  =  A#1
  {0x46,0x4a,0x46,0x4a,0x46},     //  23  =  B1

  // Octave 2
  {0xee,0x82,0xe2,0x22,0xee},     //  24  =  C2
  {0xee,0x82,0xf2,0x22,0xee},     //  25  =  C#2
  {0xe6,0x8a,0xea,0x2a,0xe6},     //  26  =  D2
  {0xe6,0x8a,0xfa,0x2a,0xe6},     //  27  =  D#2
  {0xee,0x82,0xee,0x22,0xee},     //  28  =  E2
  {0xee,0x82,0xe6,0x22,0xe2},     //  29  =  F2
  {0xee,0x82,0xf6,0x22,0xe2},     //  30  =  F#2
  {0xee,0x82,0xe2,0x2a,0xee},     //  31  =  G2
  {0xee,0x82,0xf2,0x2a,0xee},     //  32  =  G#2
  {0xee,0x8a,0xee,0x2a,0xea},     //  33  =  A2
  {0xee,0x8a,0xfe,0x2a,0xea},     //  34  =  A#2
  {0xe6,0x8a,0xe6,0x2a,0xe6},     //  35  =  B2

  // Octave 3
  {0xee,0x82,0xe2,0x82,0xee},     //  36  =  C3
  {0xee,0x82,0xf2,0x82,0xee},     //  37  =  C#3
  {0xe6,0x8a,0xea,0x8a,0xe6},     //  38  =  D3
  {0xe6,0x8a,0xfa,0x8a,0xe6},     //  39  =  D#3
  {0xee,0x82,0xee,0x82,0xee},     //  40  =  E3
  {0xee,0x82,0xe6,0x82,0xe2},     //  41  =  F3
  {0xee,0x82,0xf6,0x82,0xe2},     //  42  =  F#3
  {0xee,0x82,0xe2,0x8a,0xee},     //  43  =  G3
  {0xee,0x82,0xf2,0x8a,0xee},     //  44  =  G#3
  {0xee,0x8a,0xee,0x8a,0xea},     //  45  =  A3
  {0xee,0x8a,0xfe,0x8a,0xea},     //  46  =  A#3
  {0xe6,0x8a,0xe6,0x8a,0xe6},     //  47  =  B3

  // Octave 4
  {0xae,0xa2,0xe2,0x82,0x8e},     //  48  =  C4
  {0xae,0xa2,0xf2,0x82,0x8e},     //  49  =  C#4
  {0xa6,0xaa,0xea,0x8a,0x86},     //  50  =  D4
  {0xa6,0xaa,0xfa,0x8a,0x86},     //  51  =  D#4
  {0xae,0xa2,0xee,0x82,0x8e},     //  52  =  E4
  {0xae,0xa2,0xe6,0x82,0x82},     //  53  =  F4
  {0xae,0xa2,0xf6,0x82,0x82},     //  54  =  F#4
  {0xae,0xa2,0xe2,0x8a,0x8e},     //  55  =  G4
  {0xae,0xa2,0xf2,0x8a,0x8e},     //  56  =  G#4
  {0xae,0xaa,0xee,0x8a,0x8a},     //  57  =  A4
  {0xae,0xaa,0xfe,0x8a,0x8a},     //  58  =  A#4
  {0xa6,0xaa,0xe6,0x8a,0x86},     //  59  =  B4

  // Octave 5
  {0xee,0x22,0xe2,0x82,0xee},     //  60  =  C5
  {0xee,0x22,0xf2,0x82,0xee},     //  61  =  C#5
  {0xe6,0x2a,0xea,0x8a,0xe6},     //  61  =  D5
  {0xe6,0x2a,0xfa,0x8a,0xe6},     //  63  =  D#5
  {0xee,0x22,0xee,0x82,0xee},     //  64  =  E5
  {0xee,0x22,0xe6,0x82,0xe2},     //  65  =  F5
  {0xee,0x22,0xf6,0x82,0xe2},     //  66  =  F#5
  {0xee,0x22,0xe2,0x8a,0xee},     //  67  =  G5
  {0xee,0x22,0xf2,0x8a,0xee},     //  68  =  G#5
  {0xee,0x2a,0xee,0x8a,0xea},     //  69  =  A5
  {0xee,0x2a,0xfe,0x8a,0xea},     //  70  =  A#5
  {0xe6,0x2a,0xe6,0x8a,0xe6},     //  71  =  B5

  // Octave 6
  {0xee,0x22,0xe2,0xa2,0xee},     //  72  =  C6
  {0xee,0x22,0xf2,0xa2,0xee},     //  73  =  C#6
  {0xe6,0x2a,0xea,0xaa,0xe6},     //  74  =  D6
  {0xe6,0x2a,0xfa,0xaa,0xe6},     //  75  =  D#6
  {0xee,0x22,0xee,0xa2,0xee},     //  76  =  E6
  {0xee,0x22,0xe6,0xa2,0xe2},     //  77  =  F6
  {0xee,0x22,0xf6,0xa2,0xe2},     //  78  =  F#6
  {0xee,0x22,0xe2,0xaa,0xee},     //  79  =  G6
  {0xee,0x22,0xf2,0xaa,0xee},     //  80  =  G#6
  {0xee,0x2a,0xee,0xaa,0xea},     //  81  =  A6
  {0xee,0x2a,0xfe,0xaa,0xea},     //  82  =  A#6
  {0xe6,0x2a,0xe6,0xaa,0xe6},     //  83  =  B6

  // Octave 7
  {0xee,0x82,0x82,0x82,0x8e},     //  84  =  C7
  {0xee,0x82,0x92,0x82,0x8e},     //  85  =  C#7
  {0xe6,0x8a,0x8a,0x8a,0x86},     //  86  =  D7
  {0xe6,0x8a,0x9a,0x8a,0x86},     //  87  =  D#7
  {0xee,0x82,0x8e,0x82,0x8e},     //  88  =  E7
  {0xee,0x82,0x86,0x82,0x82},     //  89  =  F7
  {0xee,0x82,0x96,0x82,0x82},     //  90  =  F#7
  {0xee,0x82,0x82,0x8a,0x8e},     //  91  =  G7
  {0xee,0x82,0x92,0x8a,0x8e},     //  92  =  G#7
  {0xee,0x8a,0x8e,0x8a,0x8a},     //  93  =  A7
  {0xee,0x8a,0x9e,0x8a,0x8a},     //  94  =  A#7
  {0xe6,0x8a,0x86,0x8a,0x86},     //  95  =  B7

  // Octave 8
  {0xee,0xa2,0xe2,0xa2,0xee},     //  96  =  C8
  {0xee,0xa2,0xf2,0xa2,0xee},     //  97  =  C#8
  {0xe6,0xaa,0xea,0xaa,0xe6},     //  98  =  D8
  {0xe6,0xaa,0xfa,0xaa,0xe6},     //  99  =  D#8
  {0xee,0xa2,0xee,0xa2,0xee},     // 100  =  E8
  {0xee,0xa2,0xe6,0xa2,0xe2},     // 101  =  F8
  {0xee,0xa2,0xf6,0xa2,0xe2},     // 102  =  F#8
  {0xee,0xa2,0xe2,0xaa,0xee},     // 103  =  G8
  {0xee,0xa2,0xf2,0xaa,0xee},     // 104  =  G#8
  {0xee,0xaa,0xee,0xaa,0xea},     // 105  =  A8
  {0xee,0xaa,0xfe,0xaa,0xea},     // 106  =  A#8
  {0xe6,0xaa,0xe6,0xaa,0xe6},     // 107  =  B8

  // Octave 9
  {0xee,0xa2,0xe2,0x82,0x8e},     // 108  =  C9
  {0xee,0xa2,0xf2,0x82,0x8e},     // 109  =  C#9
  {0xe6,0xaa,0xea,0x8a,0x86},     // 110  =  D9
  {0xe6,0xaa,0xfa,0x8a,0x86},     // 111  =  D#9
  {0xee,0xa2,0xee,0x82,0x8e},     // 112  =  E9
  {0xee,0xa2,0xe6,0x82,0x82},     // 113  =  F9
  {0xee,0xa2,0xf6,0x82,0x82},     // 114  =  F#9
  {0xee,0xa2,0xe2,0x8a,0x8e},     // 115  =  G9
  {0xee,0xa2,0xf2,0x8a,0x8e},     // 116  =  G#9
  {0xee,0xaa,0xee,0x8a,0x8a},     // 117  =  A9
  {0xee,0xaa,0xfe,0x8a,0x8a},     // 118  =  A#9
  {0xe6,0xaa,0xe6,0x8a,0x86},     // 119  =  B9

  // Octave 10
  {0x4e,0x42,0x02,0xc2,0xce},     // 120  =  C10
  {0x4e,0x42,0x12,0xc2,0xce},     // 121  =  C#10
  {0x46,0x4a,0x0a,0xca,0xc6},     // 122  =  D10
  {0x46,0x4a,0x1a,0xca,0xc6},     // 123  =  D#10
  {0x4e,0x42,0x0e,0xc2,0xce},     // 124  =  E10
  {0x4e,0x42,0x06,0xc2,0xc2},     // 125  =  F10
  {0x4e,0x42,0x16,0xc2,0xc2},     // 126  =  F#10
  {0x4e,0x42,0x02,0xca,0xce}      // 127  =  G10
};

